Skip to main content
`Ctrl`+`K`

# EPSLOBPCGSetRestart

Sets the restart parameter for the LOBPCG method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGSetRestart(EPS eps,PetscReal restart)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- restart - the percentage of the block of vectors to force a restart

## Options Database Key

- -eps_lobpcg_restart restart - sets the restart parameter

## Notes

The meaning of this parameter is the proportion of vectors within the current block iterate that must have converged in order to force a restart with hard locking. Allowed values are in the range [0.1,1.0]. The default is 0.9.

## See Also

EPS: Eigenvalue Problem Solver, `EPSLOBPCG`, `EPSLOBPCGGetRestart()`

## Level

advanced

## Location

src/eps/impls/cg/lobpcg/lobpcg.c

## Implementations

EPSLOBPCGSetRestart_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages